Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.common
Class T3User

    java.lang.Object
      |
      +--weblogic.security.acl.DefaultUserInfoImpl
            |
            +--weblogic.common.T3User

public final class T3User
extends DefaultUserInfoImpl

The T3User object is an implementation of weblogic.security.acl.defaultUserInfo that is backward compatible with WebLogic versions before 2.6.

Author:
  Copyright (c) 1995-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `T3Client`, Serialized Form

Field Summary
`static T3User` | `GUEST` A default T3User.

Fields inherited from class weblogic.security.acl.DefaultUserInfoImpl
`certificates, id, password, realmName`

Constructor Summary
`T3User()` Constructs an empty T3User object and initializes all its variables to empty strings.
`T3User(weblogic.security.SSL.SSLCertificate c)` Constructs a T3User with the specified certificate.
`T3User(java.lang.String username, java.lang.String password)` Constructs a T3User with the specified username and password.

Method Summary
`boolean` | `equals(java.lang.Object that)` Checks password equality between this T3User and the specified object (that T3User).
`boolean` | `equals(java.lang.String otherId, java.lang.String pw, java.lang.String rName)` Compares the equality of a T3User with an ID, a password, and a realm name.
`java.util.Vector` | `getCertificates()` Returns the certificate of a T3User object.
`java.lang.String` | `getUsername()` Returns the user name of a T3User object.
`int` | `hashCode()`
`T3User` | `password(java.lang.String val)` Sets the password of a T3User.
`T3User` | `username(java.lang.String val)` Sets the username of a T3User.

Methods inherited from class weblogic.security.acl.DefaultUserInfoImpl
`crypt, equalsInAllButName, getName, getPassword, getRealmName, hasCertificates, hasPassword, read, readExternal, readObject, setCredential, toString, write, writeExternal, writeObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### GUEST

    public static final T3User GUEST

  A default T3User.

Constructor Detail

### T3User

    public T3User()

  Constructs an empty T3User object and initializes all its variables to empty strings.

### T3User

    public T3User(java.lang.String username,
                  java.lang.String password)

  Constructs a T3User with the specified username and password.

  Parameters:
    `username` - Username for this T3User
    `password` - Password for this T3user

### T3User

    public T3User(weblogic.security.SSL.SSLCertificate c)

  Constructs a T3User with the specified certificate.

  Parameters:
    `c` - SSLCertificate for this T3User

Method Detail

### username

    public T3User username(java.lang.String val)

  Sets the username of a T3User.

  Parameters:
    `val` - String user name
  Returns:
    T3User object

### password

    public T3User password(java.lang.String val)

  Sets the password of a T3User.

  Parameters:
    `val` - String password
  Returns:
    T3User object

### getUsername

    public java.lang.String getUsername()

  Returns the user name of a T3User object.

  Returns:
    String username

### getCertificates

    public java.util.Vector getCertificates()

  Returns the certificate of a T3User object.

  Returns:
    Vector of X509 certificates
  Overrides:
    getCertificates in class DefaultUserInfoImpl

### equals

    public boolean equals(java.lang.Object that)

  Checks password equality between this T3User and the specified object (that T3User). Certificates are not checked in this method. If the argument is not a T3User object, the method returns false.

  Parameters:
    `that` - Object that is a T3User
  Returns:
    true if the password, ID, and realm name all match
  Overrides:
    equals in class DefaultUserInfoImpl

### equals

    public boolean equals(java.lang.String otherId,
                          java.lang.String pw,
                          java.lang.String rName)

  Compares the equality of a T3User with an ID, a password, and a realm name.

  Parameters:
    `otherId` - T3User id
    `pw` - T3User password
    `rName` - T3User realmName
  Returns:
    true if the password, ID, and realm name all match

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class DefaultUserInfoImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD